class Rancid < Formula
  desc "Really Awesome New Cisco confIg Differ"
  homepage "https://www.shrubbery.net/rancid/"
  url "https://www.shrubbery.net/pub/rancid/rancid-3.13.tar.gz"
  mirror "https://deb.debian.org/debian/pool/main/r/rancid/rancid_3.13.orig.tar.gz"
  sha256 "7241d2972b1f6f76a28bdaa0e7942b1257e08b404a15d121c9dee568178f8bf5"
  license "BSD-3-Clause"

  livecheck do
    url :homepage
    regex(/href=.*?rancid[._-]v?(\d+(?:\.\d+)+)\.t/i)
  end

  uses_from_macos "expect"
  uses_from_macos "perl"

  on_linux do
    depends_on "iputils"
  end

  conflicts_with "par", because: "both install `par` binaries"

  def install
    system "./configure", "--disable-silent-rules", *std_configure_args
    system "make", "install"
  end

  test do
    (testpath/"rancid.conf").write <<~EOS
      BASEDIR=#{testpath}; export BASEDIR
      CVSROOT=$BASEDIR/CVS; export CVSROOT
      LOGDIR=$BASEDIR/logs; export LOGDIR
      RCSSYS=git; export RCSSYS
      LIST_OF_GROUPS="backbone aggregation switches"
    EOS
    system bin/"rancid-cvs", "-f", testpath/"rancid.conf"
  end
end
